% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/piggyback.R
\docType{package}
\name{piggyback-package}
\alias{piggyback}
\alias{piggyback-package}
\title{piggyback: Managing Larger Data on a GitHub Repository}
\description{
Because larger (> 50 MB) data files cannot easily be committed to git,
a different approach is required to manage data associated with an analysis in a
GitHub repository.  This package provides a simple work-around by allowing larger
(up to 2 GB) data files to piggyback on a repository as assets attached to individual
GitHub releases.  These files are not handled by git in any way, but instead are
uploaded, downloaded, or edited directly by calls through the GitHub API. These
data files can be versioned manually by creating different releases.  This approach
works equally well with public or private repositories.  Data can be uploaded
and downloaded programmatically from scripts. No authentication is required to
download data from public repositories.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/ropensci/piggyback}
  \item Report bugs at \url{https://github.com/ropensci/piggyback/issues}
}

}
\author{
\strong{Maintainer}: Carl Boettiger \email{cboettig@gmail.com} (\href{https://orcid.org/0000-0002-1642-628X}{ORCID}) [copyright holder]

Authors:
\itemize{
  \item Tan Ho (\href{https://orcid.org/0000-0001-8388-5155}{ORCID})
}

Other contributors:
\itemize{
  \item Mark Padgham (\href{https://orcid.org/0000-0003-2172-5265}{ORCID}) [contributor]
  \item Jeffrey O Hanson (\href{https://orcid.org/0000-0002-4716-6134}{ORCID}) [contributor]
  \item Kevin Kuo (\href{https://orcid.org/0000-0001-7803-7901}{ORCID}) [contributor]
}

}
